- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QAbstractButton Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qabstractbutton.h.

`#include <qabstractbutton.h>`

Inheritance diagram for QAbstractButton:
[legend]

List of all members.

## Public Slots
void | setIconSize (const QSize &size)
void | animateClick (int msec=100)
void | click ()
void | toggle ()
void | setChecked (bool)
## Signals
void | pressed ()
void | released ()
void | clicked (bool checked=false)
void | toggled (bool checked)
## Public Member Functions
| QAbstractButton (QWidget *parent=0)
| ~QAbstractButton ()
void | setText (const QString &text)
QString | text () const
void | setIcon (const QIcon &icon)
QIcon | icon () const
QSize | iconSize () const
void | setShortcut (const QKeySequence &key)
QKeySequence | shortcut () const
void | setCheckable (bool)
bool | isCheckable () const
bool | isChecked () const
void | setDown (bool)
bool | isDown () const
void | setAutoRepeat (bool)
bool | autoRepeat () const
void | setAutoRepeatDelay (int)
int | autoRepeatDelay () const
void | setAutoRepeatInterval (int)
int | autoRepeatInterval () const
void | setAutoExclusive (bool)
bool | autoExclusive () const
QButtonGroup * | group () const
## Protected Member Functions
virtual void | paintEvent (QPaintEvent *e)=0
virtual bool | hitButton (const QPoint &pos) const
virtual void | checkStateSet ()
virtual void | nextCheckState ()
bool | event (QEvent *e)
void | keyPressEvent (QKeyEvent *e)
void | keyReleaseEvent (QKeyEvent *e)
void | mousePressEvent (QMouseEvent *e)
void | mouseReleaseEvent (QMouseEvent *e)
void | mouseMoveEvent (QMouseEvent *e)
void | focusInEvent (QFocusEvent *e)
void | focusOutEvent (QFocusEvent *e)
void | changeEvent (QEvent *e)
void | timerEvent (QTimerEvent *e)
| QAbstractButton (QAbstractButtonPrivate &dd, QWidget *parent=0)
## Properties
QString | text
QIcon | icon
QSize | iconSize
QKeySequence | shortcut
bool | checkable
bool | checked
bool | autoRepeat
bool | autoExclusive
int | autoRepeatDelay
int | autoRepeatInterval
bool | down
## Friends
class | QButtonGroup

## Constructor & Destructor Documentation

QAbstractButton | ( | QWidget * | parent = `0` | ) | `[explicit]`

~QAbstractButton | ( |  | ) |

QAbstractButton | ( | QAbstractButtonPrivate & | dd,
|  | QWidget * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

void setText | ( | const QString & | text | ) |

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

void setIcon | ( | const QIcon & | icon | ) |

Search for all occurrences

QIcon icon | ( |  | ) | const

Search for all occurrences

QSize iconSize | ( |  | ) | const

Search for all occurrences

void setShortcut | ( | const QKeySequence & | key | ) |

Search for all occurrences

QKeySequence shortcut | ( |  | ) | const

Search for all occurrences

void setCheckable | ( | bool |  | ) |

Search for all occurrences

bool isCheckable | ( |  | ) | const

Search for all occurrences

bool isChecked | ( |  | ) | const

Search for all occurrences

void setDown | ( | bool |  | ) |

Search for all occurrences

bool isDown | ( |  | ) | const

Search for all occurrences

void setAutoRepeat | ( | bool |  | ) |

Search for all occurrences

bool autoRepeat | ( |  | ) | const

Search for all occurrences

void setAutoRepeatDelay | ( | int |  | ) |

Search for all occurrences

int autoRepeatDelay | ( |  | ) | const

Search for all occurrences

void setAutoRepeatInterval | ( | int |  | ) |

Search for all occurrences

int autoRepeatInterval | ( |  | ) | const

Search for all occurrences

void setAutoExclusive | ( | bool |  | ) |

Search for all occurrences

bool autoExclusive | ( |  | ) | const

Search for all occurrences

QButtonGroup* group | ( |  | ) | const

Search for all occurrences

void setIconSize | ( | const QSize & | size | ) | `[slot]`

Search for all occurrences

void animateClick | ( | int | msec = `100` | ) | `[slot]`

Search for all occurrences

void click | ( |  | ) | `[slot]`

Search for all occurrences

void toggle | ( |  | ) | `[slot]`

Search for all occurrences

void setChecked | ( | bool |  | ) | `[slot]`

Search for all occurrences

void pressed | ( |  | ) | `[signal]`

Search for all occurrences

void released | ( |  | ) | `[signal]`

Search for all occurrences

void clicked | ( | bool | checked = `false` | ) | `[signal]`

Search for all occurrences

void toggled | ( | bool | checked | ) | `[signal]`

Search for all occurrences

virtual void paintEvent | ( | QPaintEvent * | e | ) | `[protected, pure virtual]`

Search for all occurrences

Reimplemented from QWidget.

Implemented in QCheckBox, QCommandLinkButton, QPushButton, QRadioButton, and QToolButton.

virtual bool hitButton | ( | const QPoint & | pos | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented in QCheckBox, QRadioButton, and QToolButton.

virtual void checkStateSet | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QCheckBox.

virtual void nextCheckState | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QCheckBox, and QToolButton.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QCheckBox, QCommandLinkButton, QPushButton, QRadioButton, and QToolButton.

void keyPressEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QPushButton.

void keyReleaseEvent | ( | QKeyEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QToolButton.

void mouseReleaseEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QToolButton.

void mouseMoveEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QCheckBox, and QRadioButton.

void focusInEvent | ( | QFocusEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QPushButton.

void focusOutEvent | ( | QFocusEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QPushButton.

void changeEvent | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

Reimplemented in QToolButton.

void timerEvent | ( | QTimerEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QToolButton.

## Friends And Related Function Documentation

friend class QButtonGroup `[friend]`

Search for all occurrences

Definition at line 173 of file qabstractbutton.h.

## Property Documentation

QString text `[read, write]`

Search for all occurrences

Definition at line 62 of file qabstractbutton.h.

QIcon icon `[read, write]`

Search for all occurrences

Definition at line 63 of file qabstractbutton.h.

QSize iconSize `[read, write]`

Search for all occurrences

Definition at line 64 of file qabstractbutton.h.

QKeySequence shortcut `[read, write]`

Search for all occurrences

Definition at line 66 of file qabstractbutton.h.

bool checkable `[read, write]`

Search for all occurrences

Definition at line 68 of file qabstractbutton.h.

bool checked `[read, write]`

Search for all occurrences

Definition at line 69 of file qabstractbutton.h.

bool autoRepeat `[read, write]`

Search for all occurrences

Definition at line 70 of file qabstractbutton.h.

bool autoExclusive `[read, write]`

Search for all occurrences

Definition at line 71 of file qabstractbutton.h.

int autoRepeatDelay `[read, write]`

Search for all occurrences

Definition at line 72 of file qabstractbutton.h.

int autoRepeatInterval `[read, write]`

Search for all occurrences

Definition at line 73 of file qabstractbutton.h.

bool down `[read, write]`

Search for all occurrences

Definition at line 74 of file qabstractbutton.h.

The documentation for this class was generated from the following file:

- QtGui/qabstractbutton.h

QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton
QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton QAbstractButton